Microsoft ASP.NET Core(DoS)用のセキュリティ更新プログラム(2019年5月)

high Nessus プラグイン ID 125164
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートホストにインストールされているMicrosoft ASP.NET Coreに、脆弱なパッケージが含まれています。

説明

リモートホストにインストールされているMicrosoft ASP.NET Coreのバージョンは、2.1.11より前の2.1.x、2.2.5より前の2.2.xです。したがって、ASP.NET CoreがWebリクエストを不適切に処理するとき、サービス拒否(DoS)の脆弱性の影響を受けます。認証されていないリモートの攻撃者がこの問題を悪用し、特別に細工されたリクエストを.NET Coreアプリケーションに送信することで、アプリケーションの応答を停止させる可能性があります。

ソリューション

ASP.NET Coreを更新し、脆弱なパッケージを削除し、ベンダーのアドバイザリを参照してください。

関連情報

http://www.nessus.org/u?75f23c84

http://www.nessus.org/u?d238d2f5

http://www.nessus.org/u?f495ef09

http://www.nessus.org/u?cdcee111

プラグインの詳細

深刻度: High

ID: 125164

ファイル名: smb_nt_ms19_may_aspdotnet_core.nasl

バージョン: 1.4

タイプ: local

エージェント: windows

ファミリー: Windows

公開日: 2019/5/16

更新日: 2019/10/30

依存関係: microsoft_asp_dotnet_core_win.nbin

リスク情報

CVSS スコアのソース: CVE-2019-0980

VPR

リスクファクター: Low

スコア: 3.6

CVSS v2

リスクファクター: Medium

Base Score: 5

Temporal Score: 3.7

ベクトル: AV:N/AC:L/Au:N/C:N/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.5

Temporal Score: 6.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:microsoft:aspnet_core

必要な KB アイテム: installed_sw/ASP .NET Core Windows

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2019/5/14

脆弱性公開日: 2019/5/14

参照情報

CVE: CVE-2019-0980, CVE-2019-0981, CVE-2019-0982

BID: 108207, 108208